<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY libgstgtk4-download-http "https://gitlab.freedesktop.org/gstreamer/gst-plugins-rs/-/archive/gstreamer-&libgstgtk4-version;/gst-plugins-rs-gstreamer-&libgstgtk4-version;.tar.gz">
  <!ENTITY libgstgtk4-md5sum        "217dc9b804c4fcbe52bfe87383e0ee57">
  <!ENTITY libgstgtk4-size          "2.0 MB">
  <!ENTITY libgstgtk4-buildsize     "793 MB (52 MB installed)">
  <!ENTITY libgstgtk4-time          "0.7 SBU (with parallelism=8)">
]>

<sect1 id="libgstgtk4" xreflabel="libgstgtk4 from gst-plugins-rs-&libgstgtk4-version;">
  <?dbhtml filename="libgstgtk4.html"?>


  <title>libgstgtk4 from gst-plugins-rs-&libgstgtk4-version;</title>

  <indexterm zone="libgstgtk4">
    <primary sortas="a-libgstgtk4">libgstgtk4</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to libgstgtk4</title>

    <para>
      The <application>libgstgtk4</application> package contains a library that
      binds the gstreamer multimedia framework to GTK-4.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&libgstgtk4-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &libgstgtk4-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &libgstgtk4-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &libgstgtk4-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &libgstgtk4-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">libgstgtk4 Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="git"/>,
      <xref linkend="gst10-plugins-base"/>,
      <xref linkend="gtk4"/>, and
      <xref linkend='rust'/>
    </para>

    &build-use-internet;

  </sect2>

  <sect2 role="installation">
    <title>Installation of libgstgtk4</title>

    <para>
      Install <application>libgstgtk4</application> by running the following
      commands:
    </para>

<screen><userinput>cd video/gtk4 &amp;&amp;
cargo build --release</userinput></screen>

    <para>
      This package does not come with a test suite, but its basic
      functionality can be tested after installation.
    </para>

    <para>
      Now, as the &root; user:
    </para>

<screen role="root"><userinput>install -vm755 ../../target/release/libgstgtk4.so /usr/lib/gstreamer-1.0</userinput></screen>

    <para>
      To test the basic functionality of the package, issue:
      <command>gst-launch-1.0 videotestsrc num-buffers=60 !
      gtk4paintablesink</command> in a graphical terminal emulator.
      It should play a test video in a GTK-4 window for 2 seconds.
    </para>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          libgstgtk4.so
        </seg>
        <seg>
          None
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="libgstgtk4-lib">
        <term><filename class="libraryfile">libgstgtk4.so</filename></term>
        <listitem>
          <para>
            provides a binding between GTK-4 and the gstreamer multimedia
            framework
          </para>
          <indexterm zone="libgstgtk4 libgstgtk4-lib">
            <primary sortas="c-libgstgtk4">libgstgtk4.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>
    </variablelist>
  </sect2>
</sect1>
